%   ファン・デル・ポール方程式のparameterテスト用関数M-ファイル
%   ファン・デル・ポール方程式の可変パラメータによる解曲線変化
%       100 ≧μ≧0 ⊿=20
%
    save
    clear
    t = [0 20]; y0 = [2;0];
    s = 0;      d = 20;     e = 100;
    u = s:d:e;  leg = length(u);
    %μをパラメータとするファン・デル・ポール方程式の計算
    for i = 1:leg
        vdp_u(i).u = u(i);
        ode_obj = VanDerPolTest( t, y0, u(i));
        vdp_u(i).x = ode_obj.x;
        vdp_u(i).y = ode_obj.y;
    end
    %計算結果のグラフ化処理
    fig_id = figure;
    for i = 1:leg
        subplot(2,1,1); plot(vdp_u(i).x, vdp_u(i).y(1,:));
        hold on
        subplot(2,1,2); plot(vdp_u(i).x, vdp_u(i).y(2,:));
        hold on
    end
    figure(fig_id);
    subplot(2,1,1); xlabel('x');    ylabel('y');
    title('μ parameter by Van Der pol y(1)');
    subplot(2,1,2); xlabel('x');    ylabel('y');
    title('μ parameter by Van der pol y(2)');
    save vdp_data vdp_u
    clear
    load
    load vdp_data
    