function dy = furiko(t,y,m,l,k)
%   振り子の振動関数furiko.m
%   y(1) = θ
%   y(2) = dθ/dt
%   重力加速度g = 9.8m/s^2とする
%   m : オモリの質量  l : ロッドの長さ　　k : 粘性減衰
%
    g = 9.8;
    dy = [  y(2);
        -1/(m*l).*(k.*l.*y(2)+m.*g.*sin(y(1)))];
end
